id: wordpress-password-protected

info:
  name: Password Protected – Password Protect your WordPress Site, Pages, & WooCommerce Products – Restrict Content, Protect WooCommerce Category and more Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/password-protected/
  metadata:
    plugin_namespace: password-protected
    wpscan: https://wpscan.com/plugin/password-protected
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/password-protected/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/password-protected.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a0047304502200ed70a7cb4337fa58e75942eb0fa09f5e8412669378d64dd25e421893117787a022100ec02c5611bcecef8e0b1bb4879604e3ed7624fa1c375b9bce1e0a534fa38636f:922c64590222798bb761d5b6d8e72950